From a66744021faeb2ce105b1001a380c4a46384c5f4 Mon Sep 17 00:00:00 2001
From: Chong Yidong <cyd@gnu.org>
Date: Mon, 11 Jun 2012 23:55:32 +0800
Subject: [PATCH] Tweak startup image choice logic.

* startup.el (fancy-splash-head): Use splash.svg even if librsvg
is uninstalled, if imagemagick is installed.
---
 lisp/ChangeLog  | 5 +++++
 lisp/startup.el | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/lisp/ChangeLog b/lisp/ChangeLog
index a251c45f323..39f5f8435d0 100644
--- a/lisp/ChangeLog
+++ b/lisp/ChangeLog
@@ -1,3 +1,8 @@
+2012-06-11  Chong Yidong  <cyd@gnu.org>
+
+	* startup.el (fancy-splash-head): Use splash.svg even if librsvg
+	is uninstalled, if imagemagick is installed.
+
 2012-06-11  Stefan Monnier  <monnier@iro.umontreal.ca>
 
 	* emacs-lisp/cl-lib.el: Use lexical-binding.
diff --git a/lisp/startup.el b/lisp/startup.el
index 59d25626372..e71fe323066 100644
--- a/lisp/startup.el
+++ b/lisp/startup.el
@@ -1491,7 +1491,8 @@ a face or button specification."
 				   (if (image-type-available-p 'xpm)
 				       "splash.xpm"
 				     "splash.pbm"))
-				  ((image-type-available-p 'svg)
+				  ((or (image-type-available-p 'svg)
+				       (image-type-available-p 'imagemagick))
 				   "splash.svg")
 				  ((image-type-available-p 'png)
 				   "splash.png")
-- 
2.43.0

